# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-ansi2html
%define fedora 19
%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname ansi2html

Name:       python-module-ansi2html
Version:    0.9.4
Release:    alt2_2
Summary:    Python module that converts text with ANSI color to HTML

Group:      Development/Python
License:    GPLv3+
URL:        http://github.com/ralphbean/ansi2html
Source0:    http://pypi.python.org/packages/source/a/ansi2html/ansi2html-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-mock
BuildRequires:  python-module-six

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-mock
BuildRequires:  python3-module-matplotlib
%endif

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  python-module-ordereddict
%endif
Source44: import.info


%description
The ansi2html module can convert text with ANSI color codes to HTML.

%if 0%{?with_python3}
%package -n python3-ansi2html
Summary:    Python 3 module that converts text with ANSI color to HTML
Group:      Development/C

%if 0%{?with_python3}
Requires:   python3
Requires:   python3-module-matplotlib
%endif

%description -n python3-ansi2html
The ansi2html module can convert text with ANSI color codes to HTML.
%endif


%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/ansi2html %{buildroot}/%{_bindir}/python3-ansi2html
popd
%endif

%{__python} setup.py install --skip-build --root=%{buildroot}


%files
%doc LICENSE README.rst
%{python_sitelibdir_noarch}/ansi2html
%{python_sitelibdir_noarch}/ansi2html-%{version}-*
%{_bindir}/ansi2html

%if 0%{?with_python3}
%files -n python3-ansi2html
%doc LICENSE README.rst
%{python3_sitelibdir_noarch}/ansi2html
%{python3_sitelibdir_noarch}/ansi2html-%{version}-*
%{_bindir}/python3-ansi2html
%endif


%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_2
- update to new release by fcimport

* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.9.4-alt2_1
- rebuild to get rid of unmets

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt2_2
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.9.2-alt2_1
- rebuild to get rid of unmets

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_1
- initial fc import

